Package com.enonic.xp.form

## Class FormOptionSet.Builder

- java.lang.Object
- - com.enonic.xp.form.FormOptionSet.Builder

- Enclosing class:
    FormOptionSet

      public static class FormOptionSet.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FormOptionSet.Builder` | `addOptionSetOption​(FormOptionSetOption setOption)` |
    `FormOptionSet.Builder` | `addOptionSetOptions​(Iterable<FormOptionSetOption> setOptions)` |
    `FormOptionSet` | `build()` |
    `FormOptionSet.Builder` | `clearOptions()` |
    `FormOptionSet.Builder` | `expanded​(boolean value)` |
    `FormOptionSet.Builder` | `helpText​(String value)` |
    `FormOptionSet.Builder` | `helpTextI18nKey​(String value)` |
    `FormOptionSet.Builder` | `label​(String label)` |
    `FormOptionSet.Builder` | `labelI18nKey​(String labelI18nKey)` |
    `FormOptionSet.Builder` | `multiple​(boolean value)` |
    `FormOptionSet.Builder` | `multiselection​(Occurrences value)` |
    `FormOptionSet.Builder` | `name​(String name)` |
    `FormOptionSet.Builder` | `occurrences​(Occurrences value)` |
    `FormOptionSet.Builder` | `required​(boolean value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### name

          public FormOptionSet.Builder name​(String name)

    - #### label

          public FormOptionSet.Builder label​(String label)

    - #### labelI18nKey

          public FormOptionSet.Builder labelI18nKey​(String labelI18nKey)

    - #### expanded

          public FormOptionSet.Builder expanded​(boolean value)

    - #### occurrences

          public FormOptionSet.Builder occurrences​(Occurrences value)

    - #### required

          public FormOptionSet.Builder required​(boolean value)

    - #### multiple

          public FormOptionSet.Builder multiple​(boolean value)

    - #### multiselection

          public FormOptionSet.Builder multiselection​(Occurrences value)

    - #### helpText

          public FormOptionSet.Builder helpText​(String value)

    - #### helpTextI18nKey

          public FormOptionSet.Builder helpTextI18nKey​(String value)

    - #### addOptionSetOption

          public FormOptionSet.Builder addOptionSetOption​(FormOptionSetOption setOption)

    - #### addOptionSetOptions

          public FormOptionSet.Builder addOptionSetOptions​(Iterable<FormOptionSetOption> setOptions)

    - #### clearOptions

          public FormOptionSet.Builder clearOptions()

    - #### build

          public FormOptionSet build()